Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Event_Descriptions Class Reference

Event Descriptions. More...

`#include <Timeprobe.h>`

List of all members.

## Public Member Functions
bool | operator== (const ACE_Event_Descriptions &rhs) const
| Comparison.
## Public Attributes
const char ** | descriptions_
| Event descriptions.
u_long | minimum_id_
| Minimum id of this description set.

## Detailed Description

Event Descriptions.

## Member Function Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE bool ACE_Event_Descriptions::operator== | ( | const ACE_Event_Descriptions & | rhs | ) | const

| Comparison.

## Member Data Documentation

const char** ACE_Event_Descriptions::descriptions_

| Event descriptions.

u_long ACE_Event_Descriptions::minimum_id_

| Minimum id of this description set.

The documentation for this class was generated from the following files:

- Timeprobe.h
- Timeprobe.inl